<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:gml="http://www.opengis.net/gml">
	<xsl:template match="FlexDbData">
		<esri:Workspace xmlns:esri="http://www.esri.com/schemas/ArcGIS/9.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema">
			<WorkspaceDefinition xsi:type="esri:WorkspaceDefinition">
				<WorkspaceType>esriLocalDatabaseWorkspace</WorkspaceType>
				<Version/>
				<Domains xsi:type="esri:ArrayOfDomain"/>
				<DatasetDefinitions xsi:type="esri:ArrayOfDataElement">
					<xsl:for-each select="//Concept">
						<DataElement xsi:type="esri:DETable">
							<CatalogPath>/OC=<xsl:value-of select="ShortName"/></CatalogPath>
							<Name><xsl:value-of select="ShortName"/></Name>
							<DatasetType>esriDTTable</DatasetType>
							<DSID>
								<xsl:number value="position()"/>
							</DSID>
							<HasOID>true</HasOID>
							<OIDFieldName>OBJECTID</OIDFieldName>
							<Fields xsi:type="esri:Fields">
								<FieldArray xsi:type="esri:ArrayOfField">
									<Field xsi:type="esri:Field">
										<Name>OBJECTID</Name>
										<Type>esriFieldTypeOID</Type>
										<IsNullable>false</IsNullable>
										<Length>4</Length>
										<Precision>0</Precision>
										<Scale>0</Scale>
									</Field>
									<xsl:if test="ConceptName[contains(text(), ../ConceptName)] and ConceptName[contains(text(), '.')]">
										<Field xsi:type="esri:Field">
											<Name>
												<xsl:value-of select="ShortName"/>ID</Name>
											<Type>esriFieldTypeInteger</Type>
											<IsNullable>true</IsNullable>
											<Length>4</Length>
											<Precision>0</Precision>
											<Scale>0</Scale>
										</Field>
									</xsl:if>
									<xsl:for-each select="Description">
										<Field xsi:type="esri:Field">
											<Name>
												<xsl:value-of select="ShortName"/>
											</Name>
											<Type>esriFieldTypeString</Type>
											<IsNullable>true</IsNullable>
											<Length>50</Length>
											<Precision>0</Precision>
											<Scale>0</Scale>
										</Field>
									</xsl:for-each>
									<xsl:for-each select="Concept">
										<xsl:if test="ConceptName[contains(text(), ../ConceptName)]">
											<Field xsi:type="esri:Field">
												<Name>
													<xsl:value-of select="ShortName"/>ID</Name>
												<Type>esriFieldTypeInteger</Type>
												<IsNullable>true</IsNullable>
												<Length>4</Length>
												<Precision>0</Precision>
												<Scale>0</Scale>
											</Field>
										</xsl:if>
									</xsl:for-each>
								</FieldArray>
							</Fields>
							<Indexes xsi:type="esri:Indexes">
								<IndexArray xsi:type="esri:ArrayOfIndex">
									<Index xsi:type="esri:Index">
										<Name>FDO_OBJECTID</Name>
										<IsUnique>true</IsUnique>
										<IsAscending>true</IsAscending>
										<Fields xsi:type="esri:Fields">
											<FieldArray xsi:type="esri:ArrayOfField">
												<Field xsi:type="esri:Field">
													<Name>OBJECTID</Name>
													<Type>esriFieldTypeOID</Type>
													<IsNullable>false</IsNullable>
													<Length>4</Length>
													<Precision>0</Precision>
													<Scale>0</Scale>
												</Field>
											</FieldArray>
										</Fields>
									</Index>
									<xsl:if test="ConceptName[contains(text(), ../ConceptName)] and ConceptName[contains(text(), '.')]">
										<Index xsi:type="esri:Index">
											<Name>GDB_<xsl:value-of select="ShortName"/>ID</Name>
											<IsUnique>false</IsUnique>
											<IsAscending>true</IsAscending>
											<Fields xsi:type="esri:Fields">
												<FieldArray xsi:type="esri:ArrayOfField">
													<Field xsi:type="esri:Field">
														<Name>
															<xsl:value-of select="ShortName"/>ID</Name>
														<Type>esriFieldTypeInteger</Type>
														<IsNullable>true</IsNullable>
														<Length>4</Length>
														<Precision>0</Precision>
														<Scale>0</Scale>
													</Field>
												</FieldArray>
											</Fields>
										</Index>
									</xsl:if>
									<xsl:for-each select="Concept">
										<xsl:if test="ConceptName[contains(text(), ../ConceptName)]">
											<Index xsi:type="esri:Index">
												<Name><xsl:value-of select="ShortName"/>ID</Name>
												<IsUnique>false</IsUnique>
												<IsAscending>true</IsAscending>
												<Fields xsi:type="esri:Fields">
													<FieldArray xsi:type="esri:ArrayOfField">
														<Field xsi:type="esri:Field">
															<Name>
																<xsl:value-of select="ShortName"/>ID</Name>
															<Type>esriFieldTypeInteger</Type>
															<IsNullable>true</IsNullable>
															<Length>4</Length>
															<Precision>0</Precision>
															<Scale>0</Scale>
														</Field>
													</FieldArray>
												</Fields>
											</Index>
										</xsl:if>
									</xsl:for-each>
								</IndexArray>
							</Indexes>
							<CLSID>{7A566981-C114-11D2-8A28-006097AFF44E}</CLSID>
							<EXTCLSID/>
							<RelationshipClassNames xsi:type="esri:Names">
							</RelationshipClassNames>
							<ExtensionProperties xsi:type="esri:PropertySet">
								<PropertyArray xsi:type="esri:ArrayOfPropertySetProperty"/>
							</ExtensionProperties>
						</DataElement>
						<xsl:for-each select="Concept">
						<xsl:if test="ConceptName[contains(text(), ../ConceptName)] and ConceptName[contains(text(), '.')]">
						<DataElement xsi:type="esri:DERelationshipClass">
							<CatalogPath>/OC=<xsl:value-of select="ShortName"/></CatalogPath>
							<Name><xsl:value-of select="ShortName"/></Name>
							<DatasetType>esriDTRelationshipClass</DatasetType>
							<DSID>-1</DSID>
							<Versioned>false</Versioned>
							<CanVersion>false</CanVersion>
							<HasOID>false</HasOID>
							<OIDFieldName/>
							<Fields xsi:type="esri:Fields">
								<FieldArray xsi:type="esri:ArrayOfField"/>
							</Fields>
							<Indexes xsi:type="esri:Indexes">
								<IndexArray xsi:type="esri:ArrayOfIndex"/>
							</Indexes>
							<CLSID/>
							<EXTCLSID/>
							<RelationshipClassNames xsi:type="esri:Names"/>
							<AliasName/>
							<ModelName/>
							<HasGlobalID>false</HasGlobalID>
							<GlobalIDFieldName/>
							<RasterFieldName/>
							<ExtensionProperties xsi:type="esri:PropertySet">
								<PropertyArray xsi:type="esri:ArrayOfPropertySetProperty"/>
							</ExtensionProperties>
							<ControllerMemberships xsi:type="esri:ArrayOfControllerMembership"/>
							<Cardinality>esriRelCardinalityOneToOne</Cardinality>
							<Notification>esriRelNotificationForward</Notification>
							<IsAttributed>false</IsAttributed>
							<IsComposite>false</IsComposite>
							<OriginClassNames xsi:type="esri:Names"><Name><xsl:value-of select="ShortName"/></Name></OriginClassNames>
							<DestinationClassNames xsi:type="esri:Names"><Name><xsl:value-of select="ParentConcept"/></Name></DestinationClassNames>
							<KeyType>esriRelKeyTypeSingle</KeyType>
							<ClassKey>esriRelClassKeyUndefined</ClassKey>
							<ForwardPathLabel><xsl:value-of select="ParentConcept"/></ForwardPathLabel>
							<BackwardPathLabel><xsl:value-of select="ShortName"/></BackwardPathLabel>
							<IsReflexive>false</IsReflexive>
							<OriginClassKeys xsi:type="esri:ArrayOfRelationshipClassKey">
								<RelationshipClassKey xsi:type="esri:RelationshipClassKey">
									<ObjectKeyName><xsl:value-of select="ShortName"/>ID</ObjectKeyName>
									<ClassKeyName/>
									<KeyRole>esriRelKeyRoleOriginPrimary</KeyRole>
								</RelationshipClassKey>
								<RelationshipClassKey xsi:type="esri:RelationshipClassKey">
									<ObjectKeyName><xsl:value-of select="ShortName"/>ID</ObjectKeyName>
									<ClassKeyName/>
									<KeyRole>esriRelKeyRoleOriginForeign</KeyRole>
								</RelationshipClassKey>
							</OriginClassKeys>
							<RelationshipRules xsi:type="esri:ArrayOfRelationshipRule"/>
						</DataElement>
						</xsl:if>
						</xsl:for-each>	
					</xsl:for-each>
				</DatasetDefinitions>
			</WorkspaceDefinition>
			<WorkspaceData xsi:type="esri:WorkspaceData"/>
		</esri:Workspace>
	</xsl:template>
</xsl:stylesheet>
